API DocumentationManufacturer customer organisation controller

Update a customer organization

Updates details of an existing customer organization

PATCH
/api/manufacturer/v1/organisation/{organisationId}
AuthorizationBearer <token>

In: header

Path Parameters

organisationIdinteger

ID of the organization to update

Formatint64
gstNumber?string
name?string
canAccessDashboard?boolean
taxExempt?boolean
language?string
accountingSystemId?string
isApproved?boolean

Response Body

curl -X PATCH "http://m-api-dev.phas.io/api/manufacturer/v1/organisation/1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "hasCustomPricing": true,
  "name": "string",
  "gstNumber": "string",
  "taxExempt": true,
  "isApproved": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updateDt": "2019-08-24T14:15:22Z",
  "customers": [
    {
      "email": "string",
      "customerId": 0,
      "organisationId": 0,
      "organisationName": "string",
      "isApproved": true,
      "firstName": "string",
      "lastName": "string",
      "phoneNumber": "string",
      "notificationPreference": "string",
      "discountId": 0,
      "discountPercentage": 0
    }
  ],
  "addresses": [
    {
      "addressId": 0,
      "isBillingAddress": true,
      "street1": "string",
      "street2": "string",
      "city": "string",
      "state": "string",
      "country": "string",
      "countryAlpha2Code": "string",
      "countryAlpha3Code": "string",
      "jurisdictionIsoCode": "string",
      "zip": "string",
      "name": "string",
      "company": "string",
      "phone": "string",
      "email": "string",
      "residential": true,
      "addressType": "string",
      "isDeleted": true
    }
  ],
  "encryptionKeyId": "string",
  "firstTouchSource": "string",
  "language": "string",
  "accountingSystemId": "string",
  "deleted": true
}
Empty

Last updated on